<p><font face="Verdana" size="1">Well the most asked question on the forum is how to code layouts , well in 
this tutorial I will teach you how to code a basic expanding 'Box' in CSS+Divs.<br>
For this tutorial you will need to have Microsoft Paint and some web hosting (Localhost 
is fine)<br>
<br>
<strong>Step 1</strong>:<br>
First of all we will need a &quot;box&quot; , so lets open up paint and draw one , maybe 
add some shading.<br>
<img src="http://nicehabbo.net/beta/v5/pages/gudies/coding/images/1.png" alt="h" width="399" height="234"><br>
<strong>Step 2:</strong><br>
We now &quot;slice&quot; the box into 3 sections , an Header , an footer and a background 
image for the middle :<br>
<img src="http://nicehabbo.net/beta/v5/pages/gudies/coding/images/2.png" alt="h" width="399" height="234"><br>
Save each section as it's own file. Before we do anything else lets look at the 
middle background , It seems the whole block is the same thing repeated over 
again , so instead of having it as a block like that lets make it into a 1pixel 
heigh strip by going to Image &gt; Attributes (Ctrl+E) &gt; Change height to 1px and 
voila , you will have an strip with an height of 1pixel. At this point you 
should have 3 sections looking like this: <br>
<strong>Header:</strong><br>
<img src="http://nicehabbo.net/beta/v5/pages/gudies/coding/images/3.gif" alt="h" width="390" height="11">
<br>
Background<br>
<img src="http://nicehabbo.net/beta/v5/pages/gudies/coding/images/4.gif" alt="h" width="390" height="1"><br>
Footer:<br>
<img src="http://nicehabbo.net/beta/v5/pages/gudies/coding/images/5.gif" alt="h" width="390" height="10"><br>
<br>
<strong>Step 3:</strong><br>
Now the fun bit , coding it all onto the web! Lets first off all create a new 
document , let's call it box.html and add some simple HTML tags to it (I'm 
presuming you've already uploaded the images onto your host):<br>
</font>
</p>
<form action method="post" name="form1" id="form1">
  <p><label><font size="1" face="Verdana"><textarea name="textarea" id="textarea" cols="100" rows="15"><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<head>
<title>Box</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<style type="text/css">
<!--
body {
}
-->
</style>
</head>

<div>Hello!</div>
  </textarea> </font> </label></p>
</form>
<p><font face="Verdana" size="1"><br>
I'll just talk you through this code.<br>
The <strong>&lt;!DOCTYPE&gt;</strong> basically tells the browser what kind of 
document this is.<br>
<br>
The <strong>&lt;html&gt;</strong> at the top tells us that the HTML is beginning and 
the <strong>&lt;/html&gt;</strong> tells us that the Html code is ending.<br>
<br>
The text in between the <strong>&lt;tittle&gt; &lt;/tittle&gt;</strong> tags is what the 
document tittle is.<br>
<br>
The <strong>content-type meta</strong> tag tells the broswer what type of 
encoding the document will be.<br>
<br>
Everything inside the <strong>&lt;style&gt; &lt;/style&gt;</strong> tags is CSS which is 
used to customize the web page.<br>
<br>
The text inside the <strong>&lt;div&gt; &lt;/div&gt;</strong> tags is what is going to be 
shown.<br>
<br>
Now that you get the basic drift of HTML lets start coding our box!<br>
<br>
Lets change our style sheets to add attributes for the box:<br>
</font>
</p>
<form action method="post" name="form2" id="form2">
  <p><label><font size="1" face="Verdana"><textarea name="textarea2" id="textarea2" cols="100" rows="14"><!--
body {
  text-align: center;
  background-color: #ffffff;
}
#container {
  width: 390px;
}
#top {
  background: url(top.gif);
  height: 11px;
}
#mid {
  background: url(mid.gif);
}
#bot {
  background: url(bot.gif);
  height: 10px;
}
-->
</textarea> </font> </label></p>
</form>
<p><font face="Verdana" size="1">Lets study this style sheet , It seems we have given each section of the box 
an name and a background image.<br>
You may be wondering what the 'body' means, in html/css the name for the every 
thing you actually see on the screen is called the 'body', the codes we have 
placed in the body section of the style sheet applies to the whole document , 
such as the &quot;<strong>text-align: center;</strong>&quot; which aligns all the text to 
the center and the &quot;<strong>background-color: #ffffff;</strong>&quot; which sets the 
background colour to white.<br>
<br>
<strong>Hmm you may be wondering why I didn't put in an 'height' in the &quot;mid&quot; 
section , it's either because i'm very forgetful or very intelligent.<br>
By having now set height the section is free to expand as much as it needs to 
when something gets added to it, seeing as the background is an 1px high strip 
it will layer perfectly underneath each other like an jigsaw.</strong><br>
<br>
Now lets put the actual box onto the page by using Div tags , We will have an 
''Container'' div so we can keep the syntax all nice and clean :].<br>
Add the following inside the <strong>&lt;body&gt; &lt;/body&gt;</strong> tags:<br>
</font></p>
<form action method="post" name="form3" id="form3">
  <p><label><font size="1" face="Verdana">
  <textarea name="textarea3" id="textarea3" cols="45" rows="5"><div id="container">
  <div id="top"></div>
  <div id="mid">Wow this expands?!?!</div>
  <div id="bot"></div>
</div>
  </textarea> </font></label></p>
</form>
<p><font face="Verdana" size="1">The text in the 'mid' section is what will 
trigger the div to expand and will let you add unlimited content.<br>
<br>
You should have a code similar to this at this stage :<br>
</font></p>
<form action method="post" name="form4" id="form4">
  <p><label><font size="1" face="Verdana">
  <textarea name="textarea4" id="textarea4" cols="67" rows="20"><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<head>
<title>Box</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<style type="text/css">
<!--
body {
  text-align: center;
  background-color: #ffffff;
}
#container {
  width: 390px;
}
#top {
  background: url(top.gif);
  height: 11px;
}
#mid {
  background: url(mid.gif);
}
#bot {
  background: url(bot.gif);
  height: 10px;
}
-->
</style>
</head>

<div id="container">
  <div id="top"></div>
  <div id="mid">Wow this expands?!?!</div>
  <div id="bot"></div>
</div>

</textarea> </font></label></p>
</form>
<p><font face="Verdana" size="1">and should look like:<br>
<strong><a href="http://www.shanes.sawhosting.com/tut/1.html" target="_blank">
http://www.shanes.sawhosting.com/tut/1.html</a></strong><br>
<br>
<strong>Step 4:</strong><br>
Now it's time to customize it , Lets first of all change the font of the text 
using CSS:<br>
</font></p>
<form action method="post" name="form5" id="form5">
  <p><label><font size="1" face="Verdana">
  <textarea name="textarea5" id="textarea5" cols="45" rows="5">  font-family: Verdana;
  font-size: 10px;
  font-weight: normal;
  color: #000000;</textarea> </font></label></p>
</form>
<p><font face="Verdana" size="1">Now for the positioning , lets add the 
following to the body section of the stylesheet<br>
</font></p>
<form action method="post" name="form6" id="form6">
  <p><label><font size="1" face="Verdana">
  <textarea name="textarea6" id="textarea6" cols="45" rows="3">  margin-top: 5px;</textarea>
  </font></label></p>
</form>
<p><font face="Verdana" size="1">So the box isn't touching the top of the page<br>
Lets also add<br>
</font></p>
<form action method="post" name="form7" id="form7">
  <p><label><font size="1" face="Verdana">
  <textarea name="textarea7" id="textarea7" cols="45" rows="4">  margin: auto;</textarea>
  </font></label></p>
</form>
<p><font face="Verdana" size="1">to the container div so it makes the box float 
to the middle of the page.<br>
<strong><a href="http://www.shanes.sawhosting.com/tut/2.html" target="_blank">
http://www.shanes.sawhosting.com/tut/2.html</a><br>
<br>
Step 5:</strong><br>
Enough with the customizing , lets start with adding content inside.<br>
We could manually type out all the content into the div on the main page or be 
sneaky and use some PHP!<br>
<strong>(Rename your box.html document to box.php for this too work)</strong><br>
First of all create a new document , make sure it's an .txt file, we'll call it
<strong>content.txt</strong> .<br>
Inside this .txt file we will put in all the text we want to be displayed on the 
main page , I'm feeling musical so i'll put some lyrics in.<br>
<br>
You may be wondering how we are going to display an external page onto your main 
page? Well we'll use something called an <strong>PHP include</strong><br>
This is a basic PHP code which basically 'includes' files onto the page<br>
In between the <strong>&lt;div id=&quot;mid&quot;&gt; &lt;/div&gt;</strong><br>
type the following PHP code:<br>
</font></p>
<form action method="post" name="form8" id="form8">
  <p><label><font size="1" face="Verdana">
  <textarea name="textarea8" id="textarea8" cols="45" rows="3"><br />
<b>Warning</b>:  include(content.txt) [<a href='function.include'>function.include</a>]: failed to open stream: No such file or directory in <b>/home/jxswcfi/public_html/habboa/guides/coding/divs.php</b> on line <b>228</b><br />
<br />
<b>Warning</b>:  include(content.txt) [<a href='function.include'>function.include</a>]: failed to open stream: No such file or directory in <b>/home/jxswcfi/public_html/habboa/guides/coding/divs.php</b> on line <b>228</b><br />
<br />
<b>Warning</b>:  include() [<a href='function.include'>function.include</a>]: Failed opening 'content.txt' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in <b>/home/jxswcfi/public_html/habboa/guides/coding/divs.php</b> on line <b>228</b><br />
 
  </textarea> </font></label></p>
</form>
<p><font face="Verdana" size="1">And this should now display everything in the 
.txt file<br>
<br>
This should now be your final product:<br>
</font></p>
<form action method="post" name="form9" id="form9">
  <p><label><font size="1" face="Verdana">
  <textarea name="textarea9" id="textarea9" cols="55" rows="40"><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<head>
<title>Box</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<style type="text/css">
<!--
body {
  text-align: center;
  background-color: #ffffff;
  margin-top: 5px;
}
#container {
  width: 390px;
  margin: auto;
  font-family: Verdana;
  font-size: 10px;
  font-weight: normal;
  color: #000000;
}
#top {
  background: url(top.gif);
  height: 11px;
}
#mid {
  background: url(mid.gif);
}
#bot {
  background: url(bot.gif);
  height: 10px;
}
-->
</style>
</head>

<div id="container">
  <div id="top"></div>
  <div id="mid"><br />
<b>Warning</b>:  include(content.txt) [<a href='function.include'>function.include</a>]: failed to open stream: No such file or directory in <b>/home/jxswcfi/public_html/habboa/guides/coding/divs.php</b> on line <b>275</b><br />
<br />
<b>Warning</b>:  include(content.txt) [<a href='function.include'>function.include</a>]: failed to open stream: No such file or directory in <b>/home/jxswcfi/public_html/habboa/guides/coding/divs.php</b> on line <b>275</b><br />
<br />
<b>Warning</b>:  include() [<a href='function.include'>function.include</a>]: Failed opening 'content.txt' for inclusion (include_path='.:/usr/lib/php:/usr/local/lib/php') in <b>/home/jxswcfi/public_html/habboa/guides/coding/divs.php</b> on line <b>275</b><br />
</div>
  <div id="bot"></div>
</div>
  </textarea> </font></label></p>
</form>
<p><font face="Verdana" size="1"><strong>
<a href="http://www.shanes.sawhosting.com/tut/3.php" target="_blank">
http://www.shanes.sawhosting.com/tut/3.php</a></strong><br>
The PHP may seem pointless at first but trust me when you have more 
pages/content to add it will be alot easier to manage.<br>
<br>
I know this guide has been badly written but hopefully it will still be helpful 
to some. If you need help with any bit of this , feel free to post here.<br>
<br>
Now it's time for the legal stuff:<br>
<br>
This guide has been written by --ss-- off Habboxforum.com and may only be used 
by Habbox and it's partner sites. <strong>Copyrighted --ss--  2008 - 2009</strong> 
The sleek box design is based on the buttons used on HabboxForum valentines 
skin. Also full permission to use on NiceHabbo.net.</font></p>